1. Profiles
Graduation API
  • AI_API
    • API Root
      GET
    • API Health Status
      GET
    • Water Hyacinth Detection
      POST
    • Schemas
      • PredictionSchema
  • backend_API
    • Profiles
      • List profiles
        GET
      • Create profile
        POST
      • Update profile
        PATCH
      • Delete profile
        DELETE
    • Classification Runs
      • List classification runs
      • Create classification run
      • Update classification run
      • Delete classification run
    • Schemas
      • Profile
      • ProfileInput
      • ClassificationRun
      • ClassificationRunInput
Github Repo
  1. Profiles

Create profile

POST
/profiles
Last modified:2026-05-08 20:28:30
Maintainer:Not configured
Create a new user profile.

Request

Authorization
API Key
Add parameter in header
apikey
Example:
apikey: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
Profile created successfully
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://vejazwelilonndcsreop.supabase.co/rest/v1/profiles' \
--header 'apikey: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "full_name": "Yousef Dawood",
    "avatar_url": "https://example.com/avatar.png"
}'
Modified at 2026-05-08 20:28:30
Previous
List profiles
Next
Update profile
Built with